ru.bitel.bgbilling.plugins.dispatch.common.bean

## Class ContactType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.dispatch.common.bean.ContactType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class ContactType
      extends IdTitle

  Тип контактов
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()` Возвращает описание типа контактов
    `java.lang.String` | `getPattern()` Возвращает regexp шаблон для значений контактов
    `int` | `getPid()` Возвращает pid параметра по умолчанию
    `void` | `setDescription(java.lang.String description)` Устанавливает описание типа контактов
    `void` | `setPattern(java.lang.String pattern)` Устанавливает regexp шаблон для значений контактов
    `void` | `setPid(int pid)` Устанавливает pid параметра по умолчанию

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ContactType

          public ContactType()

  - ### Method Detail

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Устанавливает regexp шаблон для значений контактов
      Parameters:
        `pattern` -

    - #### getPattern

          public java.lang.String getPattern()

      Возвращает regexp шаблон для значений контактов
      Returns:

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Id`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Устанавливает описание типа контактов
      Parameters:
        `description` -

    - #### getDescription

          public java.lang.String getDescription()

      Возвращает описание типа контактов
      Returns:

    - #### getPid

          public int getPid()

      Возвращает pid параметра по умолчанию
      Returns:
        pid параметра по умолчанию

    - #### setPid

          public void setPid(int pid)

      Устанавливает pid параметра по умолчанию
      Parameters:
        `pid` - параметра по умолчанию